<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Car</title>

  <!-- Favicons -->
  <link href="../../static/img/favicon.png" th:href="@{/img/favicon.png}" rel="icon">
  <link href="../../static/img/apple-touch-icon.png" th:href="@{/img/apple-touch-icon.png}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link
      href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
      rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../../static/vendor/bootstrap/css/bootstrap.min.css"
        th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
  <link href="../../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}"
        rel="stylesheet">
  <link href="../../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}"
        rel="stylesheet">
  <link href="../../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">

</head>


<body>
<form th:replace="fragments/navbar.html :: navbar"></form>

<form th:replace="fragments/navbar.html :: sidebar"></form>

<main id="main" class="main">

  <div class="pagetitle">
    <h1 th:text="${currentCar.licensePlate}">CK2442KL</h1>
    <nav>
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a th:href="@{/}">Home</a></li>
        <li class="breadcrumb-item"><a th:href="@{/cars}">Cars</a></li>
        <li class="breadcrumb-item"><a th:href="@{/cars/{carId}(carId=${currentCar.carId})}">Car</a></li>
      </ol>
    </nav>
  </div><!-- End Page Title -->

  <section class="section profile">
    <div class="row">
      <div class="col-xl-4">

      </div>

      <div class="col-xl-12">

        <div class="card">
          <div class="card-body pt-3">
            <!-- Bordered Tabs -->
            <div th:unless="${#httpServletRequest.getParameter('error') == null}"
                 class="alert alert-danger alert-dismissible fade show" role="alert">
              <i class="bi bi-exclamation-octagon me-1"
                 th:text="${' ' + #httpServletRequest.getParameter('error')}"></i>
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div><!-- Error -->
            <div th:unless="${#httpServletRequest.getParameter('success') == null}"
                 class="alert alert-success alert-dismissible fade show" role="alert">
              <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('success')}"></i>
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div><!-- Success -->
            <ul class="nav nav-tabs nav-tabs-bordered">
              <li class="nav-item">
                <button class="nav-link active" data-bs-toggle="tab" data-bs-target="#car-overview">
                  Overview
                </button>
              </li>

              <li class="nav-item">
                <button class="nav-link" data-bs-toggle="tab" data-bs-target="#car-edit">
                  Edit Car
                </button>
              </li>
            </ul>
            <div class="tab-content pt-2">

              <div class="tab-pane fade show active profile-overview" id="car-overview">

                <h5 class="card-title">Car Details</h5>

                <div class="row">
                  <div class="col-lg-3 col-md-4 label ">Licence Plate</div>
                  <div class="col-lg-9 col-md-8"
                       th:text="${currentCar.licensePlate}">
                    CB4456OK
                  </div>
                </div>

                <div class="row">
                  <div class="col-lg-3 col-md-4 label ">Brand/Model</div>
                  <div class="col-lg-9 col-md-8"
                       th:text="${currentCar.brand.name + ' ' + currentCar.carModel.name}">
                    Toyota Yaris
                  </div>
                </div>

                <div class="row">
                  <div class="col-lg-3 col-md-4 label ">Production Year</div>
                  <div class="col-lg-9 col-md-8"
                       th:text="${currentCar.year}">
                    2001
                  </div>
                </div>

                <div class="row">
                  <div class="col-lg-3 col-md-4 label">VIN</div>
                  <div class="col-lg-9 col-md-8" th:text="${currentCar.vin}">
                    WDBRF40J43F433102
                  </div>
                </div>

                <div class="row">
                  <div class="col-lg-3 col-md-4 label">Owner</div>
                  <a class="col-lg-9 col-md-8" th:href="@{/customers/{userId}(userId=${currentCar.user.userId})}"
                     th:text="${currentCar.user}">
                    Kevin Anderson
                  </a>
                </div>
                <div class="row">
                  <!--            Button Create Visit-->
                  <form th:action="@{__${#httpServletRequest.requestURI}__}" method="post">
                    <div class="col-sm-10">
                      <button type="submit" class="btn btn-outline-primary" value="Save">Create Visit</button>
                    </div>
                  </form>
                </div>
                <!-- Button Delete Car-->
                <div class="row">
                  <form class="col-sm-10" data-bs-toggle="modal" data-bs-target="#verticalycentered"
                        th:action="@{/cars/{carId}/delete(carId=${currentCar.carId})}" method="post">
                    <button type="button" class="btn btn-outline-danger">
                      Delete
                    </button>
                    <div class="modal fade" id="verticalycentered" tabindex="-1">
                      <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title">Are you certain?</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                          </div>
                          <div class="modal-body">
                            All <span class="text-danger">services</span> and <span class="text-danger">visits</span>
                            of car <span th:text="${currentCar.licensePlate}"></span> will be deleted.
                          </div>
                          <div class="modal-footer">
                            <button type="submit" class="btn btn-outline-danger" data-bs-dismiss="modal">Delete</button>
                            <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">No</button>
                          </div>
                        </div>
                      </div>
                    </div><!-- End Delete Car Modal-->
                  </form>
                </div>
              </div>
              <div class="tab-pane fade profile-edit pt-3" id="car-edit">
                <!-- Car Edit Form -->
                <form th:if="${isEmployee || car.userName == loggedInUser.userName}"
                      th:action="@{/cars/{carId}/update(carId=${carId})}"
                      th:object="${car}"
                      method="post">
                  <div class="row mb-3">
                    <label th:text="#{label.car.licence.plate}" for="LicensePlate"
                           class="col-md-4 col-lg-3 col-form-label">Licence Plate</label>
                    <br/>
                    <div class="col-md-8 col-lg-9">
                      <input name="LicensePlate" type="text" class="form-control" id="LicensePlate"
                             th:field="*{licensePlate}"/>
                    </div>
                    <br/><br/>
                  </div>
                  <label class="alert alert-danger" th:errors="*{licensePlate}">Licence Plate error
                    placeholder</label>
                  <br/><br/>
                  <div class="row mb-3">
                    <label th:text="#{label.car.vin}" for="VIN"
                           class="col-md-4 col-lg-3 col-form-label">VIN</label>
                    <div class="col-md-8 col-lg-9">
                      <input name="VIN" type="text" class="form-control" id="VIN" th:field="*{vin}"/>
                    </div>
                    <br/><br/>
                  </div>
                  <label class="alert alert-danger" th:errors="*{vin}">VIN error placeholder</label>
                  <br/><br/>
                  <div class="row mb-3">
                    <label th:text="#{label.car.year}" for="Year"
                           class="col-md-4 col-lg-3 col-form-label">Year</label>
                    <div class="col-md-8 col-lg-9">
                      <input name="Year" type="number" min="1886" max="2030" class="form-control" id="Year"
                             th:field="*{year}"/>
                    </div>
                  </div>
                  <label class="alert alert-danger" th:errors="*{year}">Year error placeholder</label>
                  <div class="row mb-3">
                    <label class="col-md-4 col-lg-3 col-form-label">Brand</label>
                    <div class="col-md-8 col-lg-9">
                      <select id="brandName" name="brandName">
                        <option th:each="brand : ${brands}"
                                th:value="${brand.name}"
                                th:text="${brand.name}"
                                th:selected="${brand.name == car.brandName}">The answer
                        </option>
                      </select>
                    </div>
                    <br>
                  </div>
                  <label class="alert alert-danger" th:errors="*{brandName}">Brand error placeholder</label>
                  <div class="row mb-3">
                    <label class="col-md-4 col-lg-3 col-form-label">Model</label>
                    <div class="col-md-8 col-lg-9">
                      <select id="modelName" name="modelName">
                        <option th:each="model : ${models}"
                                th:value="${model.name}"
                                th:text="${model.name}"
                                th:selected="${model.name == car.modelName}">The answer
                        </option>
                      </select>
                    </div>
                    <br>
                  </div>
                  <label class="alert alert-danger" th:errors="*{modelName}">Model error placeholder</label>
                  <div class="row mb-3">
                    <div class="col-lg-3 col-md-4 label">Owner</div>
                    <a class="col-lg-9 col-md-8" th:href="@{/customers/{userId}(userId=${currentCar.user.userId})}"
                       th:text="${currentCar.user}">
                      Kevin Anderson
                    </a>
                    <input class="visually-hidden" th:field="*{userName}"/>
                  </div>
                  <div class="text-center">
                    <button type="submit" class="btn btn-primary" value="Save Changes">Save
                      Changes
                    </button>
                  </div>
                </form><!-- End Car Edit Form -->

              </div>
            </div>
          </div>
        </div><!-- End Bordered Tabs -->
      </div>


      <div class="col-12">
        <div class="card recent-sales overflow-auto">

          <div class="card-body">
            <h5 class="card-title">Visits <span>| List</span></h5>
            <!--            <p th:unless="${message}" class="text-danger" th:text="${message}">Message</p>-->

            <table class="table datatable">
              <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">Owner</th>
                <th scope="col">Licence plate</th>
                <th scope="col">CheckIn</th>
                <th scope="col">CheckOut</th>
                <th scope="col">Total price</th>
                <th scope="col">Remove</th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="visit:${visits}">
                <th scope="row">
                  <a th:href="@{/visits/{visitId}(visitId=${visit.visitId})}"
                     class="text-primary" th:text="${visitStat.count}">1</a></th>
                <td class="text-primary"><a th:href="@{/customers/{userId}(userId=${visit.user.userId})}"
                                            th:text="${visit.user.firstName+' '+visit.user.lastName}">Owner</a></td>
                <td class="text-primary"><a th:href="@{/cars/{carId}(carId=${visit.car.carId})}"
                                            th:text="${visit.car.licensePlate}">Licence plate</a></td>
                <td th:text="${visit.showCheckInDate()}">CheckIn</td>
                <td th:if="${visit.checkOut == null && visit.services.isEmpty()}"><span class="badge bg-secondary">Not started</span></td>
                <td th:if="${visit.checkOut == null && !visit.services.isEmpty()}"><span class="badge bg-warning">In progress..</span></td>
                <td th:unless="${visit.checkOut == null}"><span class="badge bg-success">Finished</span></td>
                <td><span class="badge bg-success"
                          th:text="${visit.totalPrice + ' ' + 'BGN'}">Total price</span></td>
              </tr>
              </tbody>
            </table>

          </div>

        </div>
      </div><!-- End Visits Section -->


    </div>
  </section>


</main><!-- End #main -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../../static/js/main.js" th:src="@{../js/main.js}"></script>


</body>
</html>